# Remote Assistance|uos-remote-assistance|

## Overview
Remote Assistance is a wonderful remote connection tool that helps computers connect to each other remotely to accomplish remote support and collaboration. 

## Guide

You can run, close or create a shortcut of Remote Assistance as follows.

### Run Remote Assistance

1. Click ![deepin_launcher](../common/deepin_launcher.svg) in the lower left corner of the dock to enter launcher interface.
2. Locate ![remote_assistance](../common/remote_assistance.svg) by scrolling the mouse wheel or searching "Remote Assistance" in the Launcher interface and click it to run. You need to check "Agree to the User License Agreement" when you run it for the first time.
3. Right-click ![remote_assistance](../common/remote_assistance.svg)  to:
 - Select **Send to desktop** to create a shortcut on the desktop.
 - Select **Send to dock** to fix it onto the dock.
 - Select **Add to startup** to add it to startup. When the computer starts up, Remote Assistance runs automatically.

### Exit Remote Assistance

- Right-click ![remote_assistance](../common/remote_assistance.svg) on the tray and select **Exit**.
- On Remote Assistance interface, click ![icon_menu](../common/icon_menu.svg) and select  **Exit**.

## Operations

### Get help

This computer can be connected remotely by the helper through IP address and security code.

#### Connect to this computer by IP address

Prerequisite: both the helper and this computer are connected to the same Intranet normally.

1. You will enter "Get Help" interface by default when you open Remote Assistance. You can offer your IP address to the helper to get help.

   ![0|IP_connection1](fig/IP_connection1.png)

2. When you receive a connection request, you can select:

   - Allow: After selecting the control mode or view mode, click **Allow** to establish the connection.

   - Decline: Click **Decline**, which will cause the connection to fail.

   - Add to blacklist: click **Add to Blacklist**, then the connection suspends. And the system will block when the helper request connection again. You can also add or remove blacklist in the main menu, please refer to [Blacklist](#Blacklist) for detailed operation.

   ![0|IP_connection2](fig/IP_connection2.png)
   
3. If the control mode is selected, you can click **Switch to View Mode** or press the shortcut key **Ctrl** + **Q** to switch to view mode during remote connection.

   ![0|IP_connection3](fig/IP_connection3.png)

4. After switching to the view mode, the helper can only view your screen without operation permission. Click **Switch to Control Mode** again, the helper can operate on your computer remotely.

5. During remote connection, you can click **Disconnect** to disconnect at any time.

#### Connect to this computer by security code

Prerequisite: your system is in trial period / has been activated and is connected to the Internet normally. 

1. You need to sign in UOS ID to obtain your security code. Click the avatar icon in the main interface, and "UOS ID sign in" interface pops up.
2. You can select among the three ways to sign in UOS ID, including signing in by password, quick signing  in by phone number and scanning via WeChat on mobile phone.

   > ![notes](../common/notes.svg) Notes: If you don't have a UOS ID yet, you can click **Sign Up** to get one.

   ![login](fig/login.png)

3. After that, you can view the security code in the "Get Help" interface.

   - The security code is valid for 10 minutes. After expiration, you can click the refresh button ![refresh](../common/refresh.svg) to get a new one.
   - It will expire after being used for remote connection regardless of whether the connection is successful or not. The system will automatically generate a new one.

   ![identifier1](fig/identifier1.png)

4. Send the security code to the helper, so he/she can connect to this computer via security code.

5. When a remote connection request is received from the helper, you can choose whether to allow the connection or not.

   - Allow: After selecting the control mode or view mode, click **Allow** to establish the connection.

   - Decline: Click **Decline**, which will cause the connection to fail.

   ![identifier2](fig/identifier2.png)

6. Refer to step 4 and 5 in [Connect to this computer by IP address](#Connect to this computer by IP address) for details of selecting modes.

7. During remote connection, you can click **Disconnect** to disconnect at any time.

### Give help

To remotely connect to another person's computer as a helper via IP address or security code, you need to obtain the IP address or security code of that computer.

1. Select **Give Help** in the main interface.

   ![provide_assistance](fig/provide_assistance.png)

2. Enter the IP address or security code and click **Connect**. Wait for the receiver to answer your request for 60 seconds.
3. After the receiver allows the request, you will be allowed to control or view.

   - Control mode: You can operate the receiver's computer remotely. Click ![observe](../common/observe.svg) to switch to view mode.

   - View mode: You can watch the receiver's screen, but cannot operate it. Click ![control](../common/control.svg) to request to switch to control mode, and the switch will be successful after the receiver allows.

   ![control_interface](fig/control_interface.png)

   > ![notes](../common/notes.svg) Notes: If the connection fails, you can check whether the receiver is online, busy or has network problems.

4. If the receiver has been connected with multiple screens, the main screen is connected to by default. Click ![switch](../common/switch.svg) to switch to other screens.

   ![switch_screen](fig/switch_screen.png)



### During remote connection

During the remote connection, you can chat, voice call, screenshot, record screen and transfer files, in which, file transfer can only be operated by the controller side in control mode, and the controlled side have the [File transfer](#File transfer) function enabled.

> ![tips](../common/tips.svg) Tips: You can expand or collapse tool bar of the controlled side.

**Chat**: click ![chat](../common/chat.svg) to chat.

**Voice call**: click ![voice](../common/voice.svg) to start voice call. When the other party accepts then you can chat with voice. If no microphone is equipped locally, then you can't start voice call.

**Screenshot**: click ![screenshot](../common/screenshot.svg), the screenshot window is the main window by default and the image file is saved to desktop by default.

**Record screen**: click ![recording_screen](../common/recording_screen.svg) to start recording the screen. The recording window is full screen by default. Click ![end_screen_recording](../common/end_screen_recording.svg) on the system tray to stop recording. The video file is saved to desktop by default.

> ![attention](../common/attention.svg) Attention: If you cannot end the recording, it is recommended to restart your computer before using the function again.

**File transfer**: The controller side can transfer the local files to the controlled side, and also files of the controlled side to the local side. You can press **Ctrl** + **C** to copy or right-click and select "copy", and press **Ctrl** + **V** to paste or right-click and select "paste".

1. Copy the file in the controller side, a dialog box will pop up, select whether to sync the copied file to the clipboard of the controlled device.

- Sync: You can paste the file to the target location in the controlled side to complete the file transfer.

- Not sync: Only keep the file on the controller side, and cannot paste it to the controlled side.

If "Keep current settings in this assistance period" is checked, it means the settings will only take effect during this assistance period, and will not be kept when reconnecting.

![file_transfer](fig/file_transfer.png)

2. Copy the file on the controlled side, and the controller side can paste the file to the target location to complete the file transfer.





## Main Menu

In Main Menu, you are able to make settings, view user license agreement, switch themes and view help and other information.

### Settings

Click ![icon_menu](../common/icon_menu.svg) on the main interface. Click **Settings** to make detailed settings.

#### Basic

You can set whether to enable remote connections or secure mode. 

- Allow remote connections to or from this computer: This function is enabled by default. You can set whether to allow connection to this computer by IP address and security code separately. When this function is disabled, this computer can't be connected remotely via IP address or security code.
- Secure mode: This function is turned off by default. You can set the security password when it is turned on. And when you modify the file transfer settings, you need to perform the security password verification.



![0|basic_settings](fig/basic_settings.png)

#### File transfer

You can set whether to allow receiving and sending files. 

- Allow receiving files: When the controlled side enables it, the controller side can transfer local files to the controlled side.
- Allow sending files: When the controlled side enables it, the controller side can transfer files of the controlled side to this computer.



#### Connections

You can view the outgoing and incoming connections, including IP/nickname, status, duration and so on.

- For connected devices, click the connection button ![connect](../common/connect.svg) to re-initiate a remote connection request, and click the delete button ![delete](../common/delete.svg) to delete the connection record.
- For devices that have connected to this computer, click the delete button ![delete](../common/delete.svg) to delete the connection record.




#### Blacklist

After adding an IP address to the blacklist, you will not receive connection requests when that computer tries to connect to it by the IP address again.

You can view the number of blocked times in the blacklist interface, and click the delete button ![delete](../common/delete.svg) to remove the IP address from the blacklist.






### Agreement

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Agreement** to view End User License Agreement.



### Theme

The window theme includes Light Theme, Dark Theme and System Theme.

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Theme** to choose one theme.

### Help

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Help** to view the manual.

### About
1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **About** to view version information about Remote Assistance.


### Exit
1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click  **Exit**.
