# 远程协助|uos-remote-assistance|

## 概述

远程协助是一个远程控制工具，帮助计算机之间进行远程连接，完成远程支持与协作。

## 使用入门

通过以下方式运行或关闭远程协助，或者创建远程协助的快捷方式。

### 运行远程协助

1. 单击任务栏上的启动器图标 ![deepin_launcher](../common/deepin_launcher.svg)，进入启动器界面。
2. 上下滚动鼠标滚轮浏览或通过搜索，找到远程协助图标 ![remote_assistance](../common/remote_assistance.svg) ，单击运行。首次运行时需要勾选 “同意用户许可协议”。
3. 右键单击 ![remote_assistance](../common/remote_assistance.svg)  ，您可以：
 - 单击 **发送到桌面**，在桌面创建快捷方式。
 - 单击 **发送到任务栏**，将应用程序固定到任务栏。
 - 单击 **开机自动启动**，将应用程序添加到开机启动项，在电脑开机时自动运行该应用。


### 关闭远程协助

   - 右键单击托盘上的远程协助图标 ![remote_assistance](../common/remote_assistance.svg) ，选择 **退出** 来退出远程协助。
   - 在远程协助界面单击 ![icon_menu](../common/icon_menu.svg) ，选择 **退出** 来退出远程协助。

## 操作介绍

### 获取协助

协助方可以通过IP地址或识别码远程连接本机，可以获取对方的协助。

#### 通过IP地址连接本机

使用前提：本机和协助方电脑处于同一内网环境。

1. 打开远程协助应用，默认为获取协助界面。将IP地址提供给对方连接本机，获取协助。

   ![0|IP_connection1](fig/IP_connection1.png)

2. 当收到对方IP的远程连接请求时，本机可以选择是否允许连接。

   - 允许：选择控制模式或观察模式后，单击 **允许** 建立连接。

   - 拒绝：单击 **拒绝**，会导致连接失败。

   - 添加黑名单：单击 **添加黑名单**，连接中断，且对方再次请求连接时，被会系统拦截。在主菜单中也可以添加或移除黑名单，详细操作请参考 [黑名单](#黑名单)。

   ![0|IP_connection2](fig/IP_connection2.png)

3. 如果选择控制模式，在远程连接过程中，本机可以单击 **切换至观察模式** 或使用快捷键 **Ctrl** + **Q** 切换到观察模式。

   ![0|IP_connection3](fig/IP_connection3.png)

4. 切换到观察模式后，对方只能观看本机界面，没有操作权限。再次单击 **切换至控制模式** 后，对方则可以进行远程操作。

5. 在远程连接的过程中，本机可以单击 **断开连接** 随时断开连接。


#### 通过识别码连接本机

使用前提：操作系统处于试用期或激活状态，并连接至互联网，还需要登录UOS ID。

1. 在远程协助界面单击头像，弹出UOS ID登录窗口。

2. 登录UOS ID有三种方式，帐号密码登录、手机快捷登录及微信扫码登录，请自行选择登录方式。

   > ![notes](../common/notes.svg) 说明：如果您未注册帐号，单击对话框中的 **注册** 按钮进行注册。

   ![login](fig/login.png)

3. 登录成功后，在获取协助界面，可以查看本机识别码。

   - 识别码有效期为10分钟，过期后，可以单击刷新按钮 ![refresh](../common/refresh.svg) 获取新的识别码。
   - 使用识别码远程连接后，不管是否连接成功，识别码都会失效。系统会自动生成新的识别码。

   ![identifier1](fig/identifier1.png)

4. 将识别码发给对方连接本机，获取协助。

5. 当收到对方远程连接请求时，本机可以选择是否允许连接。

   - 允许：选择控制模式或观察模式后，单击 **允许** 建立连接。

   - 拒绝：单击 **拒绝**，会导致连接失败。

   ![identifier2](fig/identifier2.png)

6. 选择协助模式可以参考 [通过IP地址连接本机](#通过IP地址连接本机) 中的步骤4和5。

7. 在远程连接的过程中，本机可以单击 **断开连接** 随时断开连接。

### 提供协助

通过IP地址或识别码远程连接他人电脑并提供协助，需要获取对应的IP地址或识别码。

1. 在远程协助界面，选择 **提供协助** 按钮，进入提供协助界面。

   ![provide_assistance](fig/provide_assistance.png)

2. 输入IP地址或识别码后，单击 **连接** 按钮。等待请求结果，等待时间为60s。

3. 连接成功后，您可能获取控制权限或观察权限。

   - 控制模式：可以远程操作他人电脑。单击 ![observe](../common/observe.svg) 按钮切换到观察模式 。

   - 观察模式：可以观看他人电脑，无法进行操作。单击 ![control](../common/control.svg) 按钮申请切换到控制模式，获得允许后即可切换成功。

   ![control_interface](fig/control_interface.png)

   >  ![notes](../common/notes.svg) 说明：若连接失败，可以检查对方是否在线、忙碌或网络问题导致。

4. 如果对方是多屏场景，则默认连接主屏幕。单击屏幕切换图标 ![switch](../common/switch.svg)，切换到其他屏幕。

   ![switch_screen](fig/switch_screen.png)

   

### 协助过程

在协助过程中，可以聊天、语音、截图、录屏和文件传输，受控端的工具栏可以展示或收缩。其中文件传输只能由主控端进行操作，且处于控制模式，受控端开启 [文件传输](#文件传输) 功能。

**聊天**：单击聊天按钮 ![chat](../common/chat.svg)，双方可以进行文字聊天。

**语音**：单击聊天按钮![voice](../common/voice.svg)，对方接受后，可以进行语音聊天。若本机无麦克风，则无法发起语音聊天。

**截图**：单击截图按钮 ![screenshot](../common/screenshot.svg)，截图窗口默认为远程协助窗口，图片文件默认保存在桌面。

**录屏**：单击录屏按钮 ![recording_screen](../common/recording_screen.svg) 开始录制，录屏窗口默认为全屏。再次单击任务栏托盘上的结束按钮![end_screen_recording](../common/end_screen_recording.svg)，视频文件默认保存在桌面。

> ![attention](../common/attention.svg) 注意：如果无法结束录制操作，建议重启电脑后再使用。

**文件传输**：主控端可以将本机文件传送至受控端，也可以将受控端文件传送至本机。复制操作支持 **Ctrl** + **C** 和右键复制两种方式，粘贴操作支持 **Ctrl** + **V** 和右键粘贴两种方式。

1、在主控端中复制文件，弹出对话框，选择是否将复制的文件同步至受控端。

- 同步：在受控端可以将文件粘贴至目标位置，完成文件传输。

- 不同步：只在主控端保留，不可以粘贴至受控端。

如果勾选了“本次协助中，均保留该设置”，表示该设置项只在本次协助过程中生效，重连场景时不保留该设置。

![file_transfer](fig/file_transfer.png)

2、在受控端复制文件，主控端则可以将文件粘贴至目标位置，完成文件传输。

## 主菜单

在主菜单中，可以设置连接方式、查看用户许可协议、切换窗口主题、查看帮助手册等。

### 设置

在远程协助界面，单击 ![icon_menu](../common/icon_menu.svg)，选择 **设置**，进入设置界面。

#### 基础设置

主要设置是否开启远程协助功能和安全模式。

- 远程协助功能：此功能默认开启，可以单独设置是否允许通过IP地址和识别码连接本机。远程协助功能关闭后，他人无法通过IP或识别码方式连接本机。
- 安全模式：此功能默认关闭，开启后设置安全密码，修改文件传输设置时，需要进行安全密码校验。

![0|basic_settings](fig/basic_settings.png)

#### 文件传输

设置是否允许文件接收和发送。

- 受控端开启允许文件接收功能，主控端可以将本机文件传输至受控端。
- 受控端开启允许文件发送功能，主控端可以从受控端传输文件至本机。

#### 连接记录

查看本机的呼出和呼入连接记录，包括IP/昵称、连接状态、连接时长等。

- 对于本机连接过的设备，单击连接按钮 ![connect](../common/connect.svg) 可以重新发起远程连接请求，单击删除按钮 ![delete](../common/delete.svg) 可以删除连接记录。
- 对于连接过本机的设备，单击删除按钮 ![delete](../common/delete.svg) 可以删除连接记录。

#### 黑名单

将对方IP地址添加到黑名单后，对方再次通过IP地址连接本机时，本机不会收到连接请求。

在黑名单界面可以查看拦截次数，单击删除按钮 ![delete](../common/delete.svg) 还可以将该IP地址移出黑名单。

### 协议

1. 在远程协助界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **协议**，查看最终用户许可协议。

### 主题

窗口主题包含浅色主题、深色主题和系统主题。

1. 在远程协助界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **主题**，选择一个主题颜色。

### 帮助

1. 在远程协助界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **帮助**，查看帮助手册，进一步了解和使用远程协助。

### 关于

1. 在远程协助界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **关于**，查看远程协助的版本和介绍。

### 退出

1. 在远程协助界面，单击 ![icon_menu](../common/icon_menu.svg)。
2. 单击 **退出**。

