# 遠程協助|uos-remote-assistance|

## 概述

遠程協助是一個遠程控制工具，幫助計算機之間進行遠程連接，完成遠程支持與協作。

## 使用入門

通過以下方式運行或關閉遠程協助，或者創建遠程協助的快捷方式。

### 運行遠程協助

1. 單擊任務欄上的啟動器圖標 ![deepin_launcher](../common/deepin_launcher.svg)，進入啟動器界面。
2. 上下滾動鼠標滾輪瀏覽或通過搜索，找到遠程協助圖標 ![remote_assistance](../common/remote_assistance.svg) ，單擊運行。首次運行時需要勾選「同意用戶許可協議」。
3. 右鍵單擊 ![remote_assistance](../common/remote_assistance.svg)  ，您可以：

 - 單擊 **發送到桌面**，在桌面創建快捷方式。
 - 單擊 **發送到任務欄**，將應用程序固定到任務欄。
 - 單擊 **開機自動啟動**，將應用程序添加到開機啟動項，在電腦開機時自動運行該應用。


### 關閉遠程協助

   - 右鍵單擊托盤上的遠程協助圖標 ![remote_assistance](../common/remote_assistance.svg) ，選擇 **退出** 來退出遠程協助。
   - 在遠程協助界面單擊 ![icon_menu](../common/icon_menu.svg) ，選擇 **退出** 來退出遠程協助。

## 操作介紹

### 獲取協助

協助方可以通過IP位址或識別碼遠程連接本機，可以獲取對方的協助。

#### 通過IP位址連接本機

使用前提：本機和協助方電腦處於同一內網環境。

1. 打開遠程協助應用，默認為獲取協助界面。將IP位址提供給對方連接本機，獲取協助。

   ![0|IP_connection1](fig/IP_connection1.png)

2. 當收到對方IP的遠程連接請求時，本機可以選擇是否允許連接。

   - 允許：選擇控制模式或觀察模式後，單擊 **允許** 建立連接。
   - 拒絕：單擊 **拒絕**，會導致連接失敗。
   - 添加黑名單：單擊 **添加黑名單**，連接中斷，且對方再次請求連接時，被會系統攔截。在主菜單中也可以添加或移除黑名單，詳細操作請參考 [黑名單](#黑名單)。

   ![0|IP_connection2](fig/IP_connection2.png)

3. 如果選擇控制模式，在遠程連接過程中，本機可以單擊 **切換至觀察模式** 或使用快捷鍵 **Ctrl** + **Q** 切換到觀察模式。

   ![0|IP_connection3](fig/IP_connection3.png)

4. 切換到觀察模式後，對方只能觀看本機界面，沒有操作權限。再次單擊 **切換至控制模式** 後，對方則可以進行遠程操作。

5. 在遠程連接的過程中，本機可以單擊 **斷開連接** 隨時斷開連接。

#### 通過識別碼連接本機

使用前提：操作系統處於試用期或啟動狀態，並連接至互聯網，還需要登錄UOS ID。

1. 在遠程協助界面單擊頭像，彈出UOS ID登錄窗口。

2. 登錄UOS ID有三種方式，帳號密碼登錄、手機快捷登錄及微信掃碼登錄，請自行選擇登錄方式。

   > ![notes](../common/notes.svg) 說明：如果您未註冊帳號，單擊對話框中的 **註冊** 按鈕進行註冊。

   ![login](fig/login.png)

3. 登錄成功後，在獲取協助界面，可以查看本機識別碼。

   - 識別碼有效期為10分鐘，過期後，可以單擊刷新按鈕 ![refresh](../common/refresh.svg) 獲取新的識別碼。
   - 使用識別碼遠程連接後，不管是否連接成功，識別碼都會失效。系統會自動生成新的識別碼。

   ![identifier1](fig/identifier1.png)

4. 將識別碼發給對方連接本機，獲取協助。

5. 當收到對方遠程連接請求時，本機可以選擇是否允許連接。

   - 允許：選擇控制模式或觀察模式後，單擊 **允許** 建立連接。
   - 拒絕：單擊 **拒絕**，會導致連接失敗。

   ![identifier2](fig/identifier2.png)

6. 選擇協助模式可以參考 [通過IP位址連接本機](#通過IP位址連接本機) 中的步驟4和5。

7. 在遠程連接的過程中，本機可以單擊 **斷開連接** 隨時斷開連接。

### 提供協助

通過IP位址或識別碼遠程連接他人電腦並提供協助，需要獲取對應的IP位址或識別碼。

1. 在遠程協助界面，選擇 **提供協助** 按鈕，進入提供協助界面。

   ![provide_assistance](fig/provide_assistance.png)

2. 輸入IP位址或識別碼後，單擊 **連接** 按鈕。等待請求結果，等待時間為60s。

3. 連接成功後，您可能獲取控制權限或觀察權限。

   - 控制模式：可以遠程操作他人電腦。單擊 ![observe](../common/observe.svg) 按鈕切換到觀察模式 。
   - 觀察模式：可以觀看他人電腦，無法進行操作。單擊 ![control](../common/control.svg) 按鈕申請切換到控制模式，獲得允許後即可切換成功。

   ![control_interface](fig/control_interface.png)

   >  ![notes](../common/notes.svg) 說明：若連接失敗，可以檢查對方是否在線、忙碌或網絡問題導致。
   
4. 如果對方是多屏場景，則默認連接主螢幕。單擊螢幕切換圖標 ![switch](../common/switch.svg)，切換到其他螢幕。

   ![switch_screen](fig/switch_screen.png)



### 協助過程

在協助過程中，可以聊天、語音、截圖、錄屏和文件傳輸，受控端的工具欄可以展示或收縮。其中文件傳輸只能由主控端進行操作，且處於控制模式，受控端開啟 [文件傳輸](#文件傳輸) 功能。

**聊天**：單擊聊天按鈕 ![chat](../common/chat.svg)，雙方可以進行文字聊天。

**語音**：單擊聊天按鈕![voice](../common/voice.svg)，對方接受後，可以進行語音聊天。若本機無麥克風，則無法發起語音聊天。

**截圖**：單擊截圖按鈕 ![screenshot](../common/screenshot.svg)，截圖窗口默認為遠程協助窗口，圖片文件默認保存在桌面。

**錄屏**：單擊錄屏按鈕 ![recording_screen](../common/recording_screen.svg) 開始錄製，錄屏窗口默認為全螢幕。再次單擊任務欄托盤上的結束按鈕![end_screen_recording](../common/end_screen_recording.svg)，影片文件默認保存在桌面。

>  ![attention](../common/attention.svg) 注意：如果無法結束錄製操作，建議重啟電腦後再使用。

**文件傳輸**：主控端可以將本機文件傳送至受控端，也可以將受控端文件傳送至本機。複製操作支持 **Ctrl** + **C** 和右鍵複製兩種方式，黏貼操作支持 **Ctrl** + **V** 和右鍵黏貼兩種方式。

1、在主控端中複製文件，彈出對話框，選擇是否將複製的文件同步至受控端。

- 同步：在受控端可以將文件黏貼至目標位置，完成文件傳輸。

- 不同步：只在主控端保留，不可以黏貼至受控端。

如果勾選了「本次協助中，均保留該設置」，表示該設置項只在本次協助過程中生效，重連場景時不保留該設置。

![file_transfer](fig/file_transfer.png)

2、在受控端複製文件，主控端則可以將文件黏貼至目標位置，完成文件傳輸。

## 主菜單

在主菜單中，可以設置連接方式、查看用戶許可協議、切換窗口主題、查看幫助手冊等。

### 設置

在遠程協助界面，單擊 ![icon_menu](../common/icon_menu.svg)，選擇 **設置**，進入設置界面。

#### 基礎設置

主要設置是否開啟遠程協助功能和安全模式。

- 遠程協助功能：此功能默認開啟，可以單獨設置是否允許通過IP位址和識別碼連接本機。遠程協助功能關閉後，他人無法通過IP或識別碼方式連接本機。
- 安全模式：此功能默認關閉，開啟後設置安全密碼，修改文件傳輸設置時，需要進行安全密碼校驗。

![0|basic_settings](fig/basic_settings.png)

#### 文件傳輸

設置是否允許文件接收和發送。

- 受控端開啟允許文件接收功能，主控端可以將本機文件傳輸至受控端。
- 受控端開啟允許文件發送功能，主控端可以從受控端傳輸文件至本機。

#### 連接記錄

查看本機的呼出和呼入連接記錄，包括IP/暱稱、連接狀態、連接時長等。

- 對於本機連接過的設備，單擊連接按鈕![connect](../common/connect.svg)可以重新發起遠程連接請求，單擊刪除按鈕![delete](../common/delete.svg)可以刪除連接記錄。
- 對於連接過本機的設備，單擊刪除按鈕 ![delete](../common/delete.svg)可以刪除連接記錄。

#### 黑名單

將對方IP位址添加到黑名單後，對方再次通過IP連接本機時，本機不會收到連接請求。

在黑名單界面可以查看攔截次數，單擊刪除按鈕 ![delete](../common/delete.svg) 還可以將該IP位址移出黑名單。

### 協議

1. 在遠程協助界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **協議**，查看最終用戶許可協議。

### 主題

窗口主題包含淺色主題、深色主題和系統主題。

1. 在遠程協助界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **主題**，選擇一個主題顏色。

### 幫助

1. 在遠程協助界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **幫助**，查看幫助手冊，進一步了解和使用遠程協助。

### 關於

1. 在遠程協助界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **關於**，查看遠程協助的版本和介紹。

### 退出

1. 在遠程協助界面，單擊 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **退出**。

