# 遠端協助|uos-remote-assistance|

## 概述

遠端協助是一個遠端控制工具，幫助電腦之間進行遠端操作，完成遠端支援與協作。

## 使用入門

透過以下方式執行或關閉遠端協助，或者建立遠端協助的捷徑。

### 執行遠端協助

1. 單擊桌面底部的啟動器圖示 ![launcher](../common/deepin_launcher.svg)，進入啟動器介面。
2. 上下滾動滑鼠滾輪瀏覽或透過搜尋，找到遠端協助圖示![remote_assistance](../common/remote_assistance.svg) ，單擊執行。首次執行時需要勾選「同意使用者許可協議」。
3. 右鍵單擊遠端協助圖示 ![remote_assistance](../common/remote_assistance.svg) ，您可以：
 - 單擊 **建立桌面捷徑**，在桌面建立捷徑。
 - 單擊 **釘選到Dock**，將應用程式固定到Dock。
 - 單擊 **開機啟動**，將應用程式添加到開機啟動項，在電腦開機時自動執行該應用。

### 關閉遠端協助

   - 在工具列右鍵單擊遠端協助圖示 ![remote_assistance](../common/remote_assistance.svg) ，選擇 **退出** 來退出遠端協助。
   - 在遠端協助介面單擊主選單圖示 ![icon_menu](../common/icon_menu.svg) ，選擇 **退出** 來退出遠端協助。

## 操作介紹

### 獲取協助

協助方可以透過IP位址或識別碼遠端連接本機，您可以獲取對方的協助。

#### 透過IP位址連接本機

使用前提：本機和協助方電腦處於同一內網環境。

1. 打開遠端協助應用，預設為獲取協助介面。您可以將IP位址提供給對方連接本機，獲取協助。

   ![0|IP_connection1](fig/IP_connection1.png)

2. 當收到對方IP的遠端連接請求時，本機可以選擇是否允許連接。

   - 允許：選擇控制模式或觀察模式後，單擊 **允許** 建立連接。

   - 拒絕：單擊 **拒絕**，會導致連線失敗。

   - 添加黑名單：單擊 **添加黑名單**，連線中斷，且對方再次請求連接時，被會系統攔截。在主選單中也可以添加或移除黑名單，詳細操作請參考 [黑名單](#黑名單)。

   ![0|IP_connection2](fig/IP_connection2.png)

3. 如果選擇控制模式，在遠端連接過程中，本機可以單擊 **切換至觀察模式** 或使用快捷鍵 **Ctrl** + **Q** 切換到觀察模式。

   ![0|IP_connection3](fig/IP_connection3.png)

4. 切換到觀察模式後，對方只能觀看本機介面，沒有操作權限。再次單擊 **切換至控制模式** 後，對方則可以進行遠端操作。

5. 在遠端連接的過程中，本機可以單擊 **斷開連接** 隨時斷開連接。


#### 透過識別碼連接本機

使用前提：作業系統處於試用期或啟用狀態，並連接至網路，還需要登入UOS ID。

1. 在遠端協助介面單擊大頭貼，彈出UOS ID登入視窗。

2. 登入UOS ID有三種方式，帳號密碼登入、手機快捷登入及微信掃碼登入，請自行選擇登入方式。

   > ![notes](../common/notes.svg)說明：如果您未註冊帳號，單擊對話框中的 **註冊** 按鈕進行註冊。

   ![login](fig/login.png)

3. 登入成功後，在獲取協助介面，可以查看本機識別碼。

   - 識別碼有效期為10分鐘，過期後，可以單擊重新整理按鈕 ![refresh](../common/refresh.svg) 獲取新的識別碼。
   - 使用識別碼遠端連接後，不管是否連線成功，識別碼都會失效。系統會自動生成新的識別碼。

   ![identifier1](fig/identifier1.png)

4. 將識別碼發給對方連接本機，獲取協助。

5. 當收到對方遠端連接請求時，本機可以選擇是否允許連接。

   - 允許：選擇控制模式或觀察模式後，單擊 **允許** 建立連接。

   - 拒絕：單擊 **拒絕**，會導致連線失敗。

   ![identifier2](fig/identifier2.png)

6. 選擇協助模式可以參考 [透過IP位址連接本機](#透過IP位址連接本機) 中的步驟4和5。

7. 在遠端連接的過程中，本機可以單擊 **斷開連接** 隨時斷開連接。

### 提供協助

透過IP位址或識別碼遠端連接他人電腦並提供協助，需要獲取對應的IP位址或識別碼。

1. 在遠端協助介面，選擇 **提供協助** 按鈕，進入提供協助介面。

   ![provide_assistance](fig/provide_assistance.png)

2. 輸入IP位址或識別碼後，單擊 **連接** 按鈕。等待請求結果，等待時間為60s。

3. 連線成功後，您可能獲取控制權限或觀察權限。

   - 控制模式：可以遠端操作他人電腦。單擊![observe](../common/observe.svg) 按鈕切換到觀察模式 。

   - 觀察模式：可以觀看他人電腦，無法進行操作。單擊 ![control](../common/control.svg) 按鈕申請切換到控制模式，獲得允許後即可切換成功。

   ![control_interface](fig/control_interface.png)

   > ![notes](../common/notes.svg)說明：若連線失敗，可以檢查對方是否在線上、忙碌或網路問題導致。

4. 如果對方是多屏場景，則預設連接主螢幕。單擊螢幕切換圖示![switch](../common/switch.svg)，切換到其他螢幕。

   ![switch_screen](fig/switch_screen.png)



### 協助過程

在協助過程中，可以聊天、語音、截圖、錄屏和文件傳輸。其中文件傳輸只能由主控端進行操作，且處於控制模式，受控端開啟 [文件傳輸](#文件傳輸) 功能。

> ![tips](../common/tips.svg) 竅門：受控端的工具欄可以展示或收縮。

**聊天**：單擊聊天按鈕 ![chat](../common/chat.svg)，雙方可以進行文字聊天。

**語音**：單擊聊天按鈕![voice](../common/voice.svg)，對方接受後，可以進行語音聊天。若本機無麥克風，則無法發起語音聊天。

**截圖**：單擊截圖按鈕 ![screenshot](../common/screenshot.svg)，截圖視窗預設為遠端協助視窗，圖片文件預設儲存在桌面。

**錄屏**：單擊錄屏按鈕 ![recording_screen](../common/recording_screen.svg) 開始錄製，錄屏視窗預設為全螢幕。再次單擊任務欄托盤上的結束按鈕![end_screen_recording](../common/end_screen_recording.svg)，影片檔案預設儲存在桌面。

> ![attention](../common/attention.svg) 注意：如果無法結束錄製操作，建議重啟電腦後再使用。

**文件傳輸**：主控端可以將本機文件傳送至受控端，也可以將受控端文件傳送至本機。複製操作支援 **Ctrl** + **C** 和右鍵複製兩種方式，貼上操作支援 **Ctrl** + **V** 和右鍵貼上兩種方式。

1. 在主控端中複製文件，彈出對話框，選擇是否將複製的文件同步至受控端。

- 同步：在受控端可以將文件貼上至目標位置，完成文件傳輸。

- 不同步：只在主控端保留，不可以貼上至受控端。

如果勾選了「本次協助中，均保留該設定」，表示該設定項只在本次協助過程中生效，重連時不保留該設定。

![file_transfer](fig/file_transfer.png)

2. 在受控端複製文件，主控端則可以將文件貼上至目標位置，完成文件傳輸。



## 主選單

在主選單中，可以設定連接方式、查看使用者許可協議、切換視窗主題、查看說明手冊等。

### 設定

在遠端協助介面，單擊主選單圖示![icon_menu](../common/icon_menu.svg)，選擇 **設定**，進入設定介面。

#### 基礎設定

主要設定是否開啟遠端協助功能和安全模式。

- 遠端協助功能：此功能預設開啟，可以單獨設定是否允許透過IP位址和識別碼連接本機。遠端協助功能關閉後，他人無法透過IP或識別碼方式連接本機。

- 安全模式：此功能預設關閉，開啟後設定安全密碼，修改文件傳輸設定時，需要進行安全密碼校驗。

![0|basic_settings](fig/basic_settings.png)

#### 文件傳輸

設定是否允許文件接收和發送。

- 受控端開啟允許文件接收功能，主控端可以將本機文件傳輸至受控端。

- 受控端開啟允許文件發送功能，主控端可以從受控端傳輸文件至本機。

#### 連接記錄

查看本機的呼出和呼入連接記錄，包括IP/暱稱、狀態、連接時長等。

- 對於本機連接過的裝置，單擊連接按鈕 ![connect](../common/connect.svg)可以重新發起遠端連接請求，單擊刪除按鈕![delete](../common/delete.svg)可以刪除連接記錄。
- 對於連接過本機的裝置，單擊刪除按鈕![delete](../common/delete.svg)可以刪除連接記錄。

#### 黑名單

將對方IP位址添加到黑名單後，對方再次透過IP位址連接本機時，本機不會收到連接請求。

在黑名單介面可以查看攔截次數，單擊刪除按鈕![delete](../common/delete.svg)還可以將該IP位址移出黑名單。

### 協議

1. 在遠端協助介面，單擊主選單圖示 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **協議**，查看最終使用者許可協議。

### 主題

視窗主題包含亮色主題、暗色主題和系統主題。

1. 在遠端協助介面，單擊主選單圖示 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **主題**，選擇一個主題顏色。

### 說明

1. 在遠端協助介面，單擊主選單圖示 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **說明**，查看遠端協助的說明手冊。


### 關於

1. 在遠端協助介面，單擊主選單圖示 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **關於**，查看遠端協助的版本和介紹。

### 退出

1. 在遠端協助介面，單擊主選單圖示 ![icon_menu](../common/icon_menu.svg)。
2. 單擊 **退出**。